<?php 


Droit::addGroup("Utilisateurs","Utilisateurs")
->child(function($group){
	$group->add("module-utilisateur","Module utilisateur",[],"Non");
	$group->add("ajouter-utilisateur","Ajout d'utilisateur",[],"Non");
	$group->add("modifier-utilisateur","Modification d'utilisateur",[],"Non");
	$group->add("supprimer-utilisateur","Suppresseion d'utilisateur",[],"Non");
	$group->add("droit-utilisateur","Modification droits d'utilisateur",[],"Non");
	$group->add("badge-utilisateur","Télécharger badge d'utilisateur",[],"Non");
});




Route::is("/*",function(){
	if(!Droit("module-utilisateur")->ok()) return;
	View::set("usermenu",function(){
	?>
	<li><a href="/utilisateurs">Utilisateurs</a></li>
	<?php
	});
});



Route::is("/utilisateurs",function(){
	if(!Droit("module-utilisateur")->ok()) return View("Interdit");
	View::import("Backoffice");
	?>
		<h1>Gestion des utilisateurs</h1>
		<hr style="width: 100%;">
		<utilisateurs  multi-select="true"></utilisateurs>
	<?php
});

Route::is("/telechager-badge",function(){
		$c = ob_get_clean();
		app::$layout = false;
      	header('Content-type: image/jpeg');
		header('Content-Type: application/force-download');
		header('Content-Disposition: attachment; filename=badge.jpg');
		$jpg_image = imagecreatefromjpeg('public/cv/1.jpg');
		$color = imagecolorallocate($jpg_image, 42, 100, 121);
		$font_path = 'public/Roboto-Bold_0.ttf';
		$police = 30;
		$coord = imagettfbbox($police, 0, $font_path,$profile["displayName"]); 
		$c=$coord[4] - $coord[6];  
		$x=(310 - $c/2);  
		imagettftext($jpg_image, $police, 0, $x, 492, $color, $font_path, $profile["displayName"]);
		include_once "/homez.808/bonnesad/www/source/autocollant/generate.php";
		$qrcode = autocollant::vcard($profile["displayName"], $_SESSION["user"]["tel"]);
		$qrcode = imagecreatefromjpeg($qrcode);
		imagecopyresampled($jpg_image, $qrcode, 242, 547, 0, 0, 135, 135, 135,135);
		// imagettftext($jpg_image, 22, 0, 360, 552, $color, $font_path, $_SESSION["user"]["tel"]);
		imagejpeg($jpg_image);
		imagedestroy($jpg_image);
		exit();
});